### Function

# Fwupd Device problem_to_string

#### Declaration [src]

    const gchar*
    fwupd_device_problem_to_string (
      FwupdDeviceProblem device_problem
    )

#### Description [src]

Converts a device inhibit kind to a string.

Available since: | 1.8.1

#### Parameters

`device_problem` | `FwupdDeviceProblem`
| A device inhibit kind, e.g. `FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.